### Method

# Snapd TaskData get_affected_snaps

since: 1.66

#### Declaration [src]

    GStrv
    snapd_task_data_get_affected_snaps (
      SnapdTaskData* task_data
    )

#### Description [src]

Get the list of snaps that are affected by this task, or `NULL` if snapd doesn’t send this data.

Available since: 1.66

Gets property | `Snapd.TaskData:affected-snaps`

#### Return value

Type: An array of `utf8`

A `GStrv` or `NULL`.

The array is `NULL`-terminated.
Each element is a NUL terminated UTF-8 string.